import { RoomPlayerState } from "../../../game/state/PlayerState";
/** 同步地图数据 */
export interface MsgSyncMap {
    data: SyncMapData
}

export interface SyncMapData {
    creatorQueue: Array<{ key: string, ids: Array<string> }>,
    mapData: string,
    players: Array<RoomPlayerState>,
    turn: number,
    sn: number,
    roundTime: number,
    round: number,
    switchCubes: Array<{ key: string, cubeId: string }>,
}
