

import { BaseConf, BaseRequest, BaseResponse } from "../../../CookingScript/Logic/Room/base";
import { MatchPlayerState } from "../../game/state/PlayerState";

/** 开始匹配请求信息 */
export interface ReqDoMatch extends BaseRequest {
    version: number,
    player: MatchPlayerState,
    lastMatchId: string, // 上次对手id，没有发空字符串
    roomType: number,
}

/** 开始匹配响应信息 */
export interface ResDoMatch extends BaseResponse {
    version: number,
    isRobot: number,
    players?: Array<MatchPlayerState>,
    roomId?: string,
    server?: string
}

export const conf: BaseConf = {
    needLogin: true
}